{% extends "base.html" %}
{% block title %} List {% endblock title %}
{% block content %}
<div>
    <h1>{{ list_detail.name }}</h1>
    <p>
        <a href="{% url 'todo_list_list' %}">Home</a>
        <a href="{% url 'todo_list_update' list_detail.id %}">Edit</a>
        <a href="{% url 'todo_list_delete' list_detail.id %}">Delete</a>
    </p>
    <h2>Tasks</h2>
    <table>
        <tr>
            <th>Tasks</th>
            <th>Due date</th>
            <th>Complete</th>
        </tr>
        {% for task in list_detail.items.all %}
        <tr>
            <td><a href="{% url 'todo_item_update' task.id %}">{{ task.task }}</a></td>
            <td>{{ task.due_date }}</td>
            {% if task.is_completed == True %}
                <td>&#10003;</td>
            {% else %}
                <td>&#9747;</td>
            {% endif %}
        </tr>
        {% endfor %}
    </table>
</div>
{% endblock content %}
